local gossipEventFrame = CreateFrame("frame") -- event listener for npc interaction events
gossipEventFrame:RegisterEvent("GOSSIP_SHOW")

local function GetCurrentNPC_ID()
	local guid = UnitGUID("npc")
	if not guid then return nil end
	return tonumber(string.match(guid, "Creature%-%d+%-%d+%-%d+%-%d+%-(%d+)"))
end

local function handle_NPC_Interaction(self, event)
	if GetCurrentNPC_ID() == 97004 or GetCurrentNPC_ID() == 96782 or GetCurrentNPC_ID() == 93188 then
		if IsShiftKeyDown() then SelectGossipOption(2) else SelectGossipOption(1) end
	end
end
gossipEventFrame:SetScript("OnEvent", handle_NPC_Interaction)

SLASH_ROGUEDOOROPENER1, SLASH_ROGUEDOOROPENER2 = "/roguedoor", "/rdo"
SlashCmdList["ROGUEDOOROPENER"] = function(msg)
	print("RogueDoorOpener: Hold down Shift to use the NPC as a vendor.")
end